Last Comment Bug 652785 - Nightly updates notification disappears after "Downloading: Fennec 6.0a1" (04/25 -> 04/26)
: Nightly updates notification disappears after "Downloading: Fennec 6.0a1" (04...
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 6
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 592244
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-26 05:46 PDT by Andreea Pod
Modified: 2011-07-14 22:18 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Andreea Pod 2011-04-26 05:46:48 PDT
Mozilla /5.0 (Android;Linux armv7l;rv:6.0a1) Gecko/20110425 Firefox/6.0a1 Fennec/6.0a1 
Device: LG Optimus 2X (Android 2.2)

Steps to reproduce:
1. Go to about:fennec
2. Tap on "Check for Updates"
3. Download the updates

Expected results:
A notification for installing should appear

Actual results:
After downloading there is no new notification for installing Fennec. The updates are lost.
Comment 1 Aki Sasaki [:aki] 2011-04-26 10:02:49 PDT
This isn't the same issue as bug 652667 and bug 651925 -- there are no size 0 snippets, and the update was downloaded.
Comment 2 Aki Sasaki [:aki] 2011-04-26 10:10:08 PDT
Ok, same issue, different symptom.

First, I downloaded the latest apk and checked its SHA512 hash:

deathduck:~/Desktop [10:03:42]
502$ wget http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2011/04/2011-04-26-04-mozilla-central-android-r7/fennec-6.0a1.multi.eabi-arm.apk
--2011-04-26 10:03:44--  http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2011/04/2011-04-26-04-mozilla-central-android-r7/fennec-6.0a1.multi.eabi-arm.apk
Resolving ftp.mozilla.org (ftp.mozilla.org)... 63.245.209.125
Connecting to ftp.mozilla.org (ftp.mozilla.org)|63.245.209.125|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 14509616 (14M) [application/vnd.android.package-archive]
Saving to: “fennec-6.0a1.multi.eabi-arm.apk”

100%[=====================================>] 14,509,616  1.87M/s   in 8.0s    

2011-04-26 10:03:52 (1.72 MB/s) - “fennec-6.0a1.multi.eabi-arm.apk” saved [14509616/14509616]

deathduck:~/Desktop [10:03:52]
505$ openssl sha512 fennec-6.0a1.multi.eabi-arm.apk 
SHA512(fennec-6.0a1.multi.eabi-arm.apk)= 509cfe9fcfb20f8ee1a09738bd63ee1fdb1e58d6f7fdb509d21ac0b5252cc18ffefd1ba89e4f3cdd21d50a43997787fd464a9311793d32dca861fd1af6a2c58c



Then I looked at the snippets for the 20110426 builds:



[ffxbld@dm-ausstage01 Android_arm-eabi-gcc3]$ sum */en-US/complete.txt
21012     1 20110419042214/en-US/complete.txt
21638     1 20110420040417/en-US/complete.txt
60612     1 20110420042649/en-US/complete.txt
21638     1 20110420042809/en-US/complete.txt
38274     1 20110421043148/en-US/complete.txt
39851     1 20110422041041/en-US/complete.txt
35888     1 20110423042800/en-US/complete.txt
17019     1 20110423042858/en-US/complete.txt
55725     1 20110423055153/en-US/complete.txt
19423     1 20110424042614/en-US/complete.txt
06327     1 20110424042714/en-US/complete.txt
35888     1 20110424043132/en-US/complete.txt
31047     1 20110425043106/en-US/complete.txt
07153     1 20110426042722/en-US/complete.txt
23336     1 20110426043009/en-US/complete.txt
00000     0 20110426043230/en-US/complete.txt
[ffxbld@dm-ausstage01 Android_arm-eabi-gcc3]$ cat 20110426043009/en-US/complete.txt
version=1
type=complete
url=http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2011/04/2011-04-26-04-mozilla-central-android-r7/fennec-6.0a1.multi.eabi-arm.apk
hashFunction=sha512
hashValue=dfc8e0197bb67e25291e1972557c857cf2ede405a7c077605fe3d85c8430f182ec5d2353baa3aa1814c910ab71efb38319e6e62292d2d5837a7255ffb801047a
size=14509616
build=20110426042722
appv=6.0a1
extv=6.0a1
[ffxbld@dm-ausstage01 Android_arm-eabi-gcc3]$ cat 20110426042722/en-US/complete.txt
version=1
type=complete
url=http://ftp.mozilla.org/pub/mozilla.org/mobile/nightly/2011/04/2011-04-26-04-mozilla-central-android-r7/fennec-6.0a1.multi.eabi-arm.apk
hashFunction=sha512
hashValue=509cfe9fcfb20f8ee1a09738bd63ee1fdb1e58d6f7fdb509d21ac0b5252cc18ffefd1ba89e4f3cdd21d50a43997787fd464a9311793d32dca861fd1af6a2c58c
size=14509616
build=20110426043230
appv=6.0a1
extv=6.0a1



As I understand it, nightlies on AUS2 ignore the information in any but the most recent (minus one) directory, unless the snippet for the installed build is size 0.

It looks like the 20110426042722 build uploaded after the 20110426043009 build, so contains the correct SHA512 hash.  The second-most-recent snippet has the incorrect hash.

Fixed:

[ffxbld@dm-ausstage01 Android_arm-eabi-gcc3]$ cp !$ 20110426043009/en-US/
cp 20110426042722/en-US/complete.txt 20110426043009/en-US/



This is also most likely caused by bug 592244, which Catlee now has a wip patch towards fixing.
Comment 3 Andreea Pod 2011-05-04 07:56:35 PDT
Verified on build: Mozilla /5.0 (Android;Linux armv7l;rv:6.0a1) Gecko/20110504 Firefox/6.0a1 Fennec/6.0a1 
Device: LG Optimus 2X

Note You need to log in before you can comment on or make changes to this bug.